← Renditjet
Pastro

Scotland

Caledonia North Region League Division 3

#EkipiPWDLPDBPPtsForma
1Aberdeen Wanderers RFC5500–528WWWWW
2Deeside RFC5401–421WWLW
3RAF Lossiemouth RFC5401–320LWWW
4Orkney 2nd XV6303–214WWLWL
5Inverness Craig Dunain RFC4301–313WWWL
6Turriff RFC5203–513WLWLL
7Aberdeen University Medics2200–211WW
8Huntly RFC6105–26WLLLL
9Dyce RFC4103–15LLLW
10Fraserburgh RFC4103–41LLLW
11Peterhead RFC3003–00LLL
12Caithness RFC 2nd XV3003–00LLL

Burimi: Scottish Rugby · kontrolluar 18 tet, 04:20 m.d. · Forma: pesë rezultatet e fundit që kemi, më i riu djathtas.

Ndeshjet dhe rezultatet →

Çdo tabelë është renditja e publikuar nga vetë liga, me pikët bonus, zbritjet dhe kriteret e barazimit. BP shfaqet kur liga e publikon; përndryshe është tashmë te Pts.